<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: import_data.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."fussball_manager/infusion_db.php";
include_once("admin_menu.php");

if (!checkrights("FM")) redirect("../../index.php");



echo "<table width='100%'><tr><td width='80%' align='center' valign='top'>"; 
$impact = isset($_GET['import']) ? stripinput($_GET['import']) : "";

function error ( $line, $file, $string, $error = '' )
{
  $fehler = '<b>ERROR in line ' . $line . ' in ' .
            $file . '</b><br>' . $string . '<br>';

  if ( $error )
  {
    $fehler .= '<b>MySQL-Error:</b> '. $error;
  }

  die( $fehler );
}

opentable("Fuball Manager - Data Import");

echo "<b><u>Messages:</u></b><br>";




//
// Spielerdaten importieren
//
if ($impact == "ALL" || $impact == "PLAYERS")
{
		//
		// Spielerbilder exportieren
		//
		if (file_exists("man_plpics.txt")) unlink("man_plpics.txt");
		$dateiname = "man_plpics.txt"; // Name der Datei
		$handler = fOpen($dateiname , "a+"); // Datei ffnen, wenn nicht vorhanden dann wird die Datei erstellt.
		$c=0;
		$pl_sel = dbquery("select * from ".DB_man_players." where pl_pic!=''");
		while ($data_sel = dbarray($pl_sel))
		{
			$plid = $data_sel['pl_id'];
			$pic = $data_sel['pl_pic'];
			$text = "$plid|$pic\n"; // Textstring zusammensetzen
			fWrite($handler , $text); // Dateiinhalt in die Datei schreiben	
			$c++;
		}
		echo $c." Playerspics have been exported.<br>";
		fClose($handler); // Datei schlieen
	
	
	if (file_exists("man_players.txt")) 
	{
		$res = dbquery("truncate table ".DB_man_players."");
		$c=0;
		 $datei = "man_players.txt"; // Name der Datei
		 $array = file($datei); // Datei in ein Array einlesen
		 foreach ($array as $element) {
		 	list($id, $name, $team, $val, $pos, $points, $matches, $dnote, $goals, $cyr, $cr) = explode("|", $element);
		 	$qry = "insert into ".DB_man_players."(pl_id, pl_name, pl_team, pl_value, pl_pos, pl_points, pl_matches, pl_dnote, pl_goals, pl_cyr, pl_cr) values($id, '$name', $team, $val, '$pos', $points, $matches, $dnote, $goals, $cyr, $cr)";
			//$res = dbquery($qry);
			$result = mysql_query ( $qry )
	       or error ( __LINE__, __FILE__, 'Players have not been imported', mysql_error () );
			$c++;
		 }
		 echo $c." Players have been imported.<br>";
		//fClose($handler); // Datei schlieen
		unlink($datei);
	
		//
		// Neue Spieler in Communities hinzufgen
		//	
		$pl_sel = dbquery("select * from ".DB_man_players."");
		while ($data_sel = dbarray($pl_sel))
		{
			$plid = $data_sel['pl_id'];
			$com = dbquery("select * from ".DB_man_communities."");
			while ($data_com = dbarray($com))
			{
				$com_id = $data_com['com_id'];
				$pl_com = dbarray(dbquery("select * from ".DB_man_plcom." where com=$com_id and pl_id=$plid"));	
				if (!isset($pl_com['pl_id']))
				{
					$ins_pl_com = "insert into ".DB_man_plcom."(pl_id, pl_owner, com, pl_isset, pl_listed) values($plid, 0, $com_id, 0, 0)";
					$result = mysql_query ( $ins_pl_com )
	       		or error ( __LINE__, __FILE__, 'Players have not been added to Community', mysql_error () );
				}
			}	
		}
		echo "Communities have been updated.<br>";
		
		
		//
		// Spielerbilder importieren
		//
		if (file_exists("man_plpics.txt"))
		{
			$c=0;
		 $datei1 = "man_plpics.txt"; // Name der Datei
		 $array = file($datei1); // Datei in ein Array einlesen
		 foreach ($array as $element) {
		 	list($id, $pic) = explode("|", $element);
		 	//echo "update ".$db_prefix."man_players set pl_pic='$pic' where pl_id=$id";
			//$res = dbquery($qry);
			if (isset($id) && $id != "" && $id != 0)
			{
				$qry = "update ".DB_man_players." set pl_pic='".trim($pic)."' where pl_id=$id";
				$result = mysql_query ( $qry )
		       or error ( __LINE__, __FILE__, 'Player Pics have not been imported', mysql_error () );
				$c++;
			}
		 }
		 echo $c." Playerpics have been saved.<br>";
		 //fClose($handler); // Datei schlieen		
		 unlink($datei1);
		}
	}
	else 
		echo "Importfile man_players.txt not found.<br>";
}

//
// Teamdaten importieren
//
if ($impact == "ALL" || $impact == "TEAMS")
{
		//
		// Teambilder exportieren
		//
		if (file_exists("man_teampics.txt")) unlink("man_teampics.txt");
		$dateiname = "man_teampics.txt"; // Name der Datei
		$handler = fOpen($dateiname , "a+"); // Datei ffnen, wenn nicht vorhanden dann wird die Datei erstellt.
		$c=0;
		$pl_sel = dbquery("select * from ".DB_man_teams." where team_logo!=''");
		while ($data_sel = dbarray($pl_sel))
		{
			$tid = $data_sel['team_id'];
			$tpic = $data_sel['team_logo'];
			$text = "$tid|$tpic\n"; // Textstring zusammensetzen
			fWrite($handler , $text); // Dateiinhalt in die Datei schreiben	
			$c++;
		}
		echo $c." Teamlogos have been exported.<br>";
		fClose($handler); // Datei schlieen
	
	if (file_exists("man_teams.txt")) 
	{
		$res = dbquery("truncate table ".DB_man_teams."");
		$c=0;
		 $datei = "man_teams.txt"; // Name der Datei
		 $array = file($datei); // Datei in ein Array einlesen
		 foreach ($array as $element) {
		 	list($id, $name, $short, $logo, $web, $act) = explode("|", $element);
		 	$qry = "insert into ".DB_man_teams."(team_id, team_name, team_short, team_logo, team_website, team_act) values($id, '$name', '$short', '$logo', '$web', $act)";
			//$res = dbquery($qry);
			$result = mysql_query ( $qry )
	       or error ( __LINE__, __FILE__, 'Teams have not been imported', mysql_error () );
			$c++;
		 }
		 echo $c." Teams have been imported.<br>";
	//fClose($handler); // Datei schlieen
	unlink($datei);
	
			//
			// Spielerbilder importieren
			//
			if (file_exists("man_teampics.txt"))
			{
			$c=0;
			 $datei1 = "man_teampics.txt"; // Name der Datei
			 $array = file($datei1); // Datei in ein Array einlesen
			 foreach ($array as $element) {
			 	list($id, $pic) = explode("|", $element);
			 	//echo "update ".$db_prefix."man_players set pl_pic='$pic' where pl_id=$id";
				//$res = dbquery($qry);
				if (isset($id) && $id != "" && $id != 0)
				{
					$qry = "update ".DB_man_teams." set team_logo='".trim($pic)."' where team_id=$id";
					$result = mysql_query ( $qry )
			       or error ( __LINE__, __FILE__, 'Teamlogos have not been imported', mysql_error () );
					$c++;
				}
			 }
			 echo $c." Teamlogos have been saved.<br>";
			 //fClose($handler); // Datei schlieen		
			 unlink($datei1);
			}
	}
	else 
		echo "Importfile man_teams.txt not found.<br>";
}


//
// Historische Spielerdaten importieren
//
if ($impact == "ALL" || $impact == "PLHIST")
{
	if (file_exists("man_plhist.txt")) 
	{
		$res = dbquery("truncate table ".DB_man_plhist."");
		$c=0;
		 $datei = "man_plhist.txt"; // Name der Datei
		 $array = file($datei); // Datei in ein Array einlesen
		 foreach ($array as $element) {
		 	list($id, $pkt, $date) = explode("|", $element);
		 	$qry = "insert into ".DB_man_plhist."(pl_id, pl_pkt, date) values($id, $pkt, $date)";
			//$res = dbquery($qry);
			$result = mysql_query ( $qry )
	       or error ( __LINE__, __FILE__, 'Historical playerstats have been imported', mysql_error () );
			$c++;
		 }
		 echo $c." historical playerstats have been imported.<br>";
	//fClose($handler); // Datei schlieen
	unlink($datei);
	}
	else 
		echo "Importfile man_plhist.txt not found.<br>";
}


closetable();	

echo "</td><td align='right'>";
rightside();
echo "</td></tr></table>";
require_once THEMES."templates/footer.php";
?>