<?php
// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fussball_manager/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."fussball_manager/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."fussball_manager/locale/German.php";
}

include INFUSIONS."fussball_manager/infusion_db.php";

	openside("Fussball Manager Top 5");
	echo "<table>";
	echo '<tr>';
	echo '<td align="center" ></td>';
	echo '<td align="center" ><b>'.$locale['man119'].'</b></td>';
	echo '<td align="center" ><b>'.$locale['man106'].'</b></td></tr>';
	$query = dbquery("Select count(*) as count, d.user_id, user_name, user_teamname, user_points, user_icon from 
	".DB_man_players." as a left join ".DB_man_plcom." as b on a.pl_id=b.pl_id 
	left join ".DB_man_users." as d on b.pl_owner=d.user_id
	left join ".DB_PREFIX."users as c on d.user_id=c.user_id where b.pl_owner!=0 group by d.user_id order by user_points desc limit 5");
	while ($data = dbarray($query))
	{
		$uid = $data['user_id'];
		$prflnk = BASEDIR."profile.php?lookup=".$uid;
		
		if ($data['user_icon'] != "")
			$icon = INFUSIONS."fussball_manager/img/users/".$data['user_icon'];
		else
			$icon = INFUSIONS."fussball_manager/left.gif";
		
		echo '<tr>';
		echo '<td align="center" ><img height="15" width="15" src="'.$icon.'"</td>';
		echo '<td align="center" >'.$data['user_teamname'].'</a></td>';
		echo '<td align="center" ><b>'.$data['user_points'].'</b></td>';
		$i++;
	}
	echo '</table>';
	closeside();	
?>